#
# spec file for package python-irclib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-irclib
Version:        0.6.4
Release:        19.2
Summary:        A set of Python modules for IRC support
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Url:            https://github.com/jaraco/irc
Source:         https://github.com/jaraco/irc/archive/%{version}.tar.gz#/irc-%{version}.tar.gz
# PATCH-FIX-OPENSUSE python-irclib-no-paver.patch sor.alexei@meowr.ru -- Remove paver requirement.
Patch0:         %{name}-no-paver.patch
BuildRequires:  python
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%else
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%endif

%description
This library is intended to encapsulate the IRC protocol at a quite
low level. It provides an event-driven IRC client framework. It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%prep
%setup -q -n irc-%{version}
%patch0 -p1

%build
python2 pavement.py build

%install
python2 pavement.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc ChangeLog CHANGES COPYING README
%doc scripts/
%{python_sitelib}/irclib.py*
%{python_sitelib}/ircbot.py*
%{python_sitelib}/python_irclib-*

%changelog
* Sun Jul 31 2016 sor.alexei@meowr.ru
- Update to version 0.6.4 (changes since 0.4.8):
  * Minimum Python requirement is now Python 2.6.
  * Add support for periodic commands in irclib (.execute_every).
  * Fix the global event handler priority bug.
  * Remove incorrect usage of Connection.execute_delayed.
    Add Connection.execute_every.
  * Use new-style classes.
  * Fix incorrect usage of Connection.execute_delayed (again).
  * Fix failing test where DelayedCommands weren't being sorted
    properly. DelayedCommand a now subclass of the DateTime object,
    where the command's due time is the datetime.
- Update upstream links.
- Add python-irclib-no-paver.patch: remove paver requirement.
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES
* Thu Dec  9 2010 prusnak@opensuse.org
- created package (version 0.4.8)
